[postgis-tickets] [SCM] PostGIS branch master updated. 3.3.0rc2-156-g34ddeb15f

git at osgeo.org git at osgeo.org
Sun Oct 2 04:05:53 PDT 2022


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  34ddeb15fc9b9c357b801f3773db787fa4a1e099 (commit)
      from  15577bb2c255c174c80b6f7807bddd260cafbbc4 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 34ddeb15fc9b9c357b801f3773db787fa4a1e099
Author: Regina Obe <lr at pcorp.us>
Date:   Sun Oct 2 06:58:24 2022 -0400

    1) Oops forgot to declare from version.
    2) Add extension SELECT postgis_extensions_upgrade() to dronie
    Closes  #5253 for PostGIS 3.4.0dev

diff --git a/ci/github/run_upgrade.sh b/ci/github/run_upgrade.sh
index e30cd2519..47777940f 100644
--- a/ci/github/run_upgrade.sh
+++ b/ci/github/run_upgrade.sh
@@ -20,4 +20,9 @@ export CUNIT_VALGRIND_FLAGS="--leak-check=full --error-exitcode=1"
 make -j
 #bash ./ci/github/logbt \ --
 make install
+export POSTGIS_MAJOR_VERSION=`grep ^POSTGIS_MAJOR_VERSION Version.config | cut -d= -f2`
+export POSTGIS_MINOR_VERSION=`grep ^POSTGIS_MINOR_VERSION Version.config | cut -d= -f2`
+export POSTGIS_MICRO_VERSION=`grep ^POSTGIS_MICRO_VERSION Version.config | cut -d= -f2`
+export POSTGIS_MICRO_VER=${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}
+echo "Version ${POSTGIS_MICRO_VER}"
 make check RUNTESTFLAGS="--verbose --extension -v --upgrade-path ${POSTGIS_MICRO_VER}--:auto!"
diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index bfcec355d..0d52bc51a 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -226,8 +226,22 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
     }
   done
 
-  # Check unpackaged->unpackaged upgrades
   CURRENTVERSION=`grep '^POSTGIS_' ${SRCDIR}/Version.config | cut -d= -f2 | paste -sd '.'`
+  # Test current version to current version extension upgrade
+  do #{
+    UPGRADE_PATH="${CURRENTVERSION}--:auto!"
+    test_label="${EXT} extension-based upgrade ${UPGRADE_PATH}"
+    echo "Testing ${test_label}"
+    RUNTESTFLAGS="--extension -v --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
+    make -C ${REGDIR} check && {
+      echo "PASS: ${test_label}"
+    } || {
+      echo "FAIL: ${test_label}"
+      failed
+    }
+  done #}
+
+  # Check unpackaged->unpackaged upgrades
   if test "${to_version}" = "${CURRENTVERSION}"; then
     for majmin in `'ls' -d ${CTBDIR}/postgis-* | sed 's/.*postgis-//'`
     do #{

-----------------------------------------------------------------------

Summary of changes:
 ci/github/run_upgrade.sh    |  5 +++++
 utils/check_all_upgrades.sh | 16 +++++++++++++++-
 2 files changed, 20 insertions(+), 1 deletion(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list